<?php

/*
	Returns the host count, or the following error codes:
	
	-1: LogServer license cache file not available
	    (this happens if the LogServer license count script has not been run as scheduled)
*/

function op5license_Logserver()
{
	$file = "/tmp/logserver-license.dat";

	if (($data = @file_get_contents($file)) === FALSE)
		return -1;
	else
	{
		if ($data === '') // correctly handle a situation when file is empty for some reason
			return 0;
		else
			return substr_count($data, ':') + 1;
	}
}

?>
