<?php

/*
	Returns the host count, or the following error codes:
	
	-1: Objects cache file not available (this shouldn't happen if Monitor was correctly installed).
	-2: Could not count hosts is objects cache file (grep failed).
*/

function op5license_Monitor()
{
	if(!is_file("/opt/monitor/var/objects.cache"))
		return -1;
	
	exec("grep -c \"define host \" /opt/monitor/var/objects.cache", $count_output, $count_return);
	
	if($count_return == 0)
		$host_count = $count_output[0];
	else
		return -2;
	
	return $host_count;
}
?>
